{%  set chatbot = get_cookie('chatbot') %}

{% set chatbotcontent %}
    <div x-data="{ open: false }" id="popup-chatbot" class="fixed right-2 bottom-2 w-80 flex items-end flex-col overflow-hidden">
        <div x-show="open" class="bg-white rounded w-full">
            <div class="bg-primary p-4 flex w-full justify-end text-white rounded-t">
                <div @click="open = !open" class="cursor-pointer">
                    <i class="fa-solid fa-xmark"></i>
                </div>
            </div>
            <div class="p-4 font-light">
                <div class="text-center">
                    {% if (configChatbot.logo|first).name %}
                        <div class="flex flex-col justify-center items-center">
                            <div class="bg-primary w-16 h-16 p-3 rounded-full flex items-center justify-center">
                                <img class="w-auto h-auto" src="{{ url('plugin://etd-chatbot/' ~ (configChatbot.logo|first).name) }}" />
                            </div>
                            <h2 class="mt-2 font-normal text-base">{{ configChatbot.name }}</h2>
                        </div>
                    {% endif %}
                    <div class="bg-gris p-2 rounded-lg mt-4">
                        {% if configChatbot.question %}
                            <div class="text-left px-4 py-2 level-1">
                                {{ configChatbot.question }}
                            </div>
                        {% endif %}
                        {% if configChatbot.answers %}
                            {% for answer in configChatbot.answers %}
                                <div>
                                    <div class="bg-white text-left rounded-lg px-4 py-1 cursor-pointer my-2 level-1">
                                        {{ answer.label }}
                                    </div>
                                    <div class="level-2"> {{ 'PLUGIN_ETD_CHATBOT.MESSAGE.WHICH_INFORMATION_DO_YOU_SEARCH_IN'|t }} <span class="font-bold">{{ answer.label }}</span> ?</div>
                                    {% if answer.answers %}
                                        {% for child in answer.answers %}
                                            <a class="bg-white text-left rounded-lg px-4 py-1 cursor-pointer my-2 block level-2" href="{{ child.page }}">{{ child.label }}</a>
                                        {% endfor %}
                                    {% else %}
                                        <span class="bg-white text-left rounded-lg px-4 py-1 cursor-pointer my-2 block level-2">{{ 'PLUGIN_ETD_CHATBOT.MESSAGE.NO_ELEMENT_IN_CATEGORY'|t }}</span>
                                    {% endif %}
                                    <div class="level-2 back-level-1 cursor-pointer bg-secondary text-white text-left px-4 py-1 rounded-lg flex items-center"><i class="fa-solid fa-arrow-turn-down-left"></i><span class="pl-2">{{ 'PLUGIN_ETD_CHATBOT.MESSAGE.BACK' }}</span></div>
                                </div>
                            {% endfor %}
                        {% else %}
                            {{ 'PLUGIN_ETD_CHATBOT.MESSAGE.NO_ELEMENT'|t }}
                        {% endif %}
                    </div>

                </div>
            </div>
        </div>
        <div @click="open = !open" class="bg-primary p-4 rounded-full text-white w-14 h-14 flex items-center justify-center mr-12 mt-2 cursor-pointer">
            <i class="fa-solid fa-messages"></i>
        </div>

    </div>

{% endset %}


document.addEventListener("DOMContentLoaded", function(e) {
    popupChatbot.init("{{ chatbotcontent|replace({'\r\n': '', '\n': '', '\r': '', '\"': '\\"'})|raw }}", 'popup-chatbot');
});
